Jump to content

Vista compatibility


grammy#9

Recommended Posts

I can not install my Photosuite 3 on my new Vista computer. Any suggestions? What version of Photosuite will work with Vista?

The current Version is PhotoSuite 8, and it is probably compatible with Vista altho it says System Requirements are WinXP or Win2000.

 

Please note that, altho I'm not that familiar with PhotoSuite, ECDC 4 was improved to be ECDC 5, but ECD/DVDC 6 was at least a partially different foundation. EMC 7 was built from scratch (altho EMC 7.5 was Roxio EMC 7 plus some Sonic programs after Sonic bought Roxio); EMC 8 was built from scratch; and EMC 9 was built from scratch. Each has new features and new bugs.

 

So PhotoSuite 8 is probably NOT that similar to EMC 3. Whatever you do, you will probably be starting over.

 

Unless, of course, you rollback to WinXP, as suggested above.

 

Lynn

Link to comment
Share on other sites

Apparenatly you have to be signed in to see the page.

 

Could you give us a summary?

 

Lynn

I can get in without a problem. It's a listing of what's supposed to and what doesn't work in Vista. It needs to be updated I think.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...